#include <Standalone.h>
#ifdef M68K
#include <PalmOS.h>
#else
#include <endianutils.h>
#include <palmos5.h>
#endif
#include "Clip_Res.h"

#define SWAP32( x ) ( ( ( x ) >> 24 ) | ( ( ( x ) & 0x00FF0000l ) >> 8 ) | ( ( ( x ) & 0x0000FF00l ) << 8 ) |  ( ( x ) << 24 ) )

#define RESID RESID_ClipboardAddItem
STANDALONE_CODE_RESOURCE_TYPESTR_ID(SEGMENT_TYPE, RESID);

typedef void (*pfnClipboardAddItem)( const ClipboardFormatType format, void* ptr, UInt16 size );

void MyClipboardAddItem( const ClipboardFormatType format, void* ptr, UInt16 size )
{
    UInt32              value;
    pfnClipboardAddItem oldTrap;
    
    if ( format == clipboardText && 
         errNone == FtrGet( MY_CRID, FTR_NO_TEXT_CLIPBOARD, &value ) )
        return;

    FtrGet(MY_CRID, RESID, (UInt32*) &oldTrap );
    
    oldTrap( format, ptr, size );
}

